badMatches <- tribble( 
	~CommName,	~taxa_clean,
	# 'american elm',	'Ulmus americana',
	'american elm',	'Ulmus',
	# 'american hornbeam',	'Carpinus caroliniana',
	'american hornbeam',	'Carpinus',
	'amur maackia',	'Acer pseudoplatanus',
	# 'amur maackia',	'Maackia amurensis',
	# 'amur maple',	'Acer ginnala',
	'amur maple',	'Acer tataricum',
	# 'apple',	'Malus',
	'apple',	'Malus domestica',
	'apple',	'Malus pumila',
	'arborvitae',	'Thuja',
	# 'arborvitae',	'Thuja occidentalis',
	# 'ash',	'Fraxinus',
	'ash',	'Fraxinus nigra',
	'ash',	'Fraxinus pennsylvanica',
	# 'autumn brilliance serviceberry',	'Amelanchier',
	'autumn brilliance serviceberry',	'Amelanchier x grandiflora',
	# 'basswood',	'Tilia',
	'basswood',	'Tilia americana',
	'beech copper',	'Fagus',
	# 'beech copper',	'Fagus sylvatica',
	# 'birch',	'Betula',
	'birch',	'Betula lenta',
	'black locust',	'Na na',
	# 'black locust',	'Robinia pseudoacacia',
	'border forsythia',	'Forsythia',
	# 'border forsythia',	'Forsythia x intermedia',
	# 'boxelder',	'Acer negundo',
	'boxelder',	'Acer nigrum',
	'bradford',	'Planting site small',
	'bradford',	'Planting site upright',
	'buckthorn',	'Frangula alnus',
	# 'buckthorn',	'Rhamnus',
	'buckthorn',	'Rhamnus cathartica',
	# 'carolina silverbell',	'Halesia carolina',
	'carolina silverbell',	'Halesia tetraptera',
	# 'catalpa',	'Catalpa',
	'catalpa',	'Catalpa erubescens',
	'catalpa',	'Catalpa speciosa',
	'cherry',	'Planting site small',
	# 'cherry',	'Prunus',
	'cherry',	'Prunus subhirtella',
	# 'cherry accolade',	'Prunus',
	'cherry accolade',	'Prunus sargentii',
	# 'cherry kwanzan',	'Prunus',
	'cherry kwanzan',	'Prunus serrulata',
	'common apple',	'Malus pumila',
	# 'common apple',	'Malus',
	'common apple',	'Malus sylvestris',
	# 'cottonwood',	'Populus',
	'cottonwood',	'Populus deltoides',
	'crabapple',	'Ma',
	# 'crabapple',	'Malus',
	# 'crabapple species',	'Malus',
	'crabapple species',	'Planting site medium',
	'crimson spire oak',	'Quercus alba',
	# 'crimson spire oak',	'Quercus robur',
	# 'dogwood',	'Cornus',
	'dogwood',	'Cornus florida',
	'doublefile viburnum',	'Viburnum',
	# 'doublefile viburnum',	'Viburnum plicatum',
	# 'eastern redbud',	'Cercis canadensis',
	'eastern redbud',	'Cercis',
	'eastern white cedar',	'Juniperus virginiana',
	# 'eastern white cedar',	'Thuja occidentalis',
	# 'elm',	'Ulmus',
	'elm',	'Ulmus americana',
	# 'elm accolade',	'Ulmus',
	'elm accolade',	'Ulmus japonica',
	# 'elm triumph',	'Ulmus',
	'elm triumph',	'Ulmus japonica',
	'english elm',	'Ulmus minor',
	# 'english elm',	'Ulmus procera',
	# 'english hawthorn',	'Crataegus laevigata',
	'english hawthorn',	'Crataegus',
	# 'european linden',	'Tilia',
	'european linden',	'Tilia x europaea',
	# 'flowering cherry',	'Prunus',
	'flowering cherry',	'Prunus serrulata',
	# 'flowering crabapple',	'Malus',
	'flowering crabapple',	'Malus spectabilis',
	# 'flowering dogwood',	'Cornus florida',
	'flowering dogwood',	'Cornus kousa',
	# 'ginkgo',	'Ginkgo biloba',
	'ginkgo',	'Planting site upright',
	'gold mop japanese falsecypress',	'Chamaecyparis obtusa',
	# 'gold mop japanese falsecypress',	'Chamaecyparis pisifera',
	'goldenrain tree',	'Koelreuteria elegans',
	# 'goldenrain tree',	'Koelreuteria paniculata',
	# 'hawthorne',	'Crataegus',
	'hawthorne',	'Crataegus phaenopyrum',
	# 'hedge maple',	'Acer campestre',
	'hedge maple',	'Planting site small',
	# 'hemlock',	'Tsuga',
	'hemlock',	'Tsuga canadensis',
	# 'holly',	'Ilex',
	'holly',	'Ilex opaca',
	# 'honeylocust skyline',	'Gleditsia',
	'honeylocust skyline',	'Gleditsia triacanthos',
	# 'honeylocust thornless',	'Gleditsia',
	'honeylocust thornless',	'Gleditsia triacanthos',
	# 'hornbeam',	'Carpinus',
	'hornbeam',	'Ostrya virginiana',
	# 'hornbeam-american',	'Carpinus caroliniana',
	'hornbeam-american',	'Ostrya virginiana',
	# 'horse chestnut',	'Aesculus hippocastanum',
	'horse chestnut',	'Castanea dentata',
	# 'horsechestnut',	'Aesculus',
	'horsechestnut',	'Aesculus hippocastanum',
	'ironwood',	'Carpinus betulus',
	# 'ironwood',	'Carpinus caroliniana',
	'japanese falsecypress',	'Chamaecyparis obtusa',
	# 'japanese falsecypress',	'Chamaecyparis pisifera',
	# 'japanese tree lilac',	'Syringa reticulata',
	'japanese tree lilac',	'Syringa vulgaris',
	'lacebark elm',	'Ulmus',
	# 'lacebark elm',	'Ulmus parvifolia',
	# 'leonard messel magnolia',	'Magnolia',
	'leonard messel magnolia',	'Magnolia kobus',
	# 'leyland cypress',	'Cupressocyparis leylandii',
	'leyland cypress',	'Cupressus',
	# 'lilac',	'Syringa',
	'lilac',	'Syringa vulgaris',
	# 'lilac japanese tree',	'Syringa reticulata',
	'lilac japanese tree',	'Syringa vulgaris',
	# 'limber pine',	'Pinus flexilis',
	'limber pine',	'Pinus',
	'linden',	'Planting site medium',
	'linden',	'Planting site small',
	'linden',	'Planting ste medium',
	# 'linden',	'Tilia',
	'linden',	'Tilia americana',
	'linden',	'Tilia euchlora',
	'linden',	'Tilia cordata',
	# 'linden glenleven',	'Tilia',
	'linden glenleven',	'Tilia cordata',
	'loebner magnolia',	'Magnolia stellata',
	# 'loebner magnolia',	'Magnolia',
	# 'london planetree',	'Platanus x acerifolia',
	'london planetree',	'Platanus hybrida',
	'london planetree',	'Platanus occidentalis',
	# 'magnolia saucer',	'Magnolia x soulangiana',
	'magnolia saucer',	'Magnolia',
	# 'maple',	'Acer',
	'maple',	'Acer truncatum',
	# 'maple amur',	'Acer ginnala',
	'maple amur',	'Acer tataricum',
	# 'maple norway',	'Acer platanoides',
	'maple norway',	'Picea',
	# 'maple silver',	'Acer saccharinum',
	'maple silver',	'Malus',
	'maple sugar',	'Acer saccharinum',
	# 'maple sugar',	'Acer saccharum',
	'mimosa',	'Albizia julibrissin',
	'mimosa',	'Albizia',
	'mimosa',	'Mimosa',
	# 'mulberry',	'Morus',
	'mulberry',	'Morus alba',
	'no planting site',	'No planting site',
	'no planting site',	'No plantng site',
	'norway',	'Planting site medium',
	'norway',	'Planting site upright',
	# 'norway spruce',	'Picea abies',
	'norway spruce',	'Pinus strobus',
	# 'oak',	'Quercus',
	'oak',	'Quercus alba',
	'other - see comments',	'Cercis',
	'other - see comments',	'Na na',
	# 'peach',	'Prunus persica',
	'peach',	'Prunus',
	'pear',	'Na na',
	# 'pear',	'Pyrus',
	'pear',	'Pyrus calleryana',
	'pear',	'Pyrus communis',
	# 'persimmon',	'Diospyros',
	'persimmon',	'Diospyros virginiana',
	# 'pin cherry',	'Prunus pensylvanica',
	'pin cherry',	'Prunus',
	'pin oak',	'Acer platanoides',
	# 'pin oak',	'Quercus palustris',
	'planting site',	'Planting note',
	'planting site',	'Planting site',
	'planting site',	'Planting site - hold',
	'red oak',	'Quercus falcata',
	# 'red oak',	'Quercus rubra',
	'regal prince oak',	'Quercus robur',
	# 'regal prince oak',	'Quercus',
	'russian olive',	'Elaeagnus angustifolia',
	# 'russian olive',	'Elaeagnus',
	# 'sargent crabapple',	'Malus sargentii',
	'sargent crabapple',	'Malus',
	# 'sargent viburnum',	'Viburnum',
	'sargent viburnum',	'Viburnum sieboldii',
	'serbian spruce',	'Picea abies',
	# 'serbian spruce',	'Picea omorika',
	# 'serviceberry',	'Amelanchier',
	'serviceberry',	'Amelanchier canadensis',
	'serviceberry',	'Amelanchier x grandiflora',
	'serviceberry',	'Amelanchier laevis',
	'serviceberry autumn brilliance',	'Amelanchier laevis',
	# 'serviceberry autumn brilliance',	'Amelanchier x grandiflora',
	'serviceberry robin hill',	'Amelanchier',
	# 'serviceberry robin hill',	'Amelanchier x grandiflora',
	'shadblow',	'Amelanchier canadensis',
	'shadblow',	'Amelanchier laevis',
	# 'siebold viburnum',	'Viburnum sieboldii',
	'siebold viburnum',	'Viburnum',
	'silver maple',	'Acer rubrum',
	# 'silver maple',	'Acer saccharinum',
	'silver maple',	'Planting site small',
	# 'slippery elm',	'Ulmus rubra',
	'slippery elm',	'Ulmus',
	'smoke tree',	'Cotinus coggygria',
	# 'smoke tree',	'Cotinus',
	'sourwood',	'Oxydendrum arboreum',
	# 'sourwood',	'Oxydendrum',
	# 'spruce',	'Picea',
	'spruce',	'Picea abies',
	# 'spruce norway',	'Picea abies',
	'spruce norway',	'Picea',
	'stella hybrid dogwood',	'Cornus florida',
	'stella hybrid dogwood',	'Unresolved',
	'sugar maple',	'Acer saccharinum',
	# 'sugar maple',	'Acer saccharum',
	'sugarberry',	'Celtis laevigata',
	# 'sugarberry',	'Celtis',
	# 'sweetgum',	'Liquidambar styraciflua',
	'sweetgum',	'Some roots',
	'tamarack',	'Larix',
	# 'tamarack',	'Larix laricina',
	# 'tree lilac',	'Syringa',
	'tree lilac',	'Syringa reticulata',
	# 'tree of heaven',	'Ailanthus',
	'tree of heaven',	'Ailanthus altissima',
	'turkey oak',	'Quercus cerris',
	'turkey oak',	'Quercus laevis',
	'undefined',	'A plant site no wires',
	'undefined',	'A plant site wires',
	'unknown',	'Carya',
	'unknown',	'Other',
	'unknown',	'Unidentified',
	'unknown',	'Unknown spp',
	'unknown',	'Unknown unknown',
	# 'upright sweetgum',	'Liquidambar',
	'upright sweetgum',	'Liquidambar styraciflua',
	# 'viburnum',	'Viburnum',
	'viburnum',	'Viburnum sieboldii',
	# 'weeping cherry',	'Prunus',
	'weeping cherry',	'Prunus serrulata',
	'weeping cherry',	'Prunus subhirtella',
	# 'weeping redbud',	'Cercis',
	'weeping redbud',	'Cercis canadensis',
	'weeping willow',	'Salix alba',
	'weeping willow',	'Salix babylonica',
	'weeping willow',	'Salix matsudana',
	# 'witch-hazel',	'Hamamelis',
	'witch-hazel',	'Hamamelis virginiana',
	# 'witch hazel',	'Hamamelis',
	'witch hazel',	'Hamamelis virginiana',
	'yellow wood',	'Cladrastis kentukea',
	'yellow wood',	'Unresolved',
	# 'zelkova',	'Zelkova',
	'zelkova',	'Zelkova serrata'
)